*{
    margin: 0;
    padding: 0;
    box-sizing:border-box;
}

body {
    background: #f5efe6;
    display:flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    padding:1rem;
    font-family:sans-serif;

}

.container{
    background-color:white;
    border-radius: 1rem;
    box-shadow:0 10px 30px rgba(0,0,0,0.1);
    width:100%;
    max-width:600px;
    overflow:hidden;
    position:relative;
}

.screen{
    display:none;
    padding:2rem;
    text-align:center;

}

.screen.active{
    display:block;
}

#start-screen h1{
    color:#e86a33;
    margin-bottom:20px;
    font-size:2.5rem;
}

#start-screen p{
    color:#666;
    margin-bottom:30px;
    font-size:1.1rem;
}

button{
    background-color:#e86a33;
    color:white;
    border:none;
    padding:15px 30px;
    border-radius:10px;
    font-size: 1.1rem;
    cursor:pointer;
    transition:background-color 0.3s;
}

button:hover{
    background-color:#d45b28;
}

.quiz-header{
    margin-bottom:1rem;

}
#question-text{
    color:#333;
    font-size:1.5rem;
    margin-bottom: 1rem;
    
}

.quiz-info{
    display:flex;
    justify-content:space-between;
    color:#666;
    margin-bottom: 10px;
}

.answers-container{
    display:flex;
    flex-direction:column;
    gap:10px;
    margin-bottom: 20px;

}

/* to be added for ans-btn*/
.answer-btn{
   background-color: #f8f0e5;
   color:#333;
   border:2px solid #eadbc8;
   border-radius: 10px;
   padding:1rem;
   cursor:pointer;
   text-align:left;
   transition:all 0.3s;
}

.answer-btn:hover{
    background-color: #eadbc8;
    border-color:#dac0ae;
}

.answer-btn.correct{
    background-color:#e6fff0;
    border-color:#a3f0c4;
    color:#28a745;  
}

.answer-btn.incorrect{
    background-color:#fff0f0;
    border-color:#ffbdbd;
    color:#dc3545;  
}
    


.progress-bar{
    height:10px;
    background-color: #f8f0e5;
    border-radius:5px;
    overflow:hidden;
    margin-top:20px;
}

.progress{
    height:100%;
    background-color:#e86a33;
    width:0%;
    transition:width 0.3s;
}

#result-screen h1{
   color:#e86a33;
   margin-bottom:30px;
}

.result-info{
    background-color:#f8f0e5;
    border-radius: 10px;
    padding:20px;
    margin-bottom:30px;
}

.result-info p{
    font-size:1.2rem;
    color:#333;
    margin-bottom: 1rem;
}

.result-message{
    font-size: 1.5rem;
    font-weight:600;
    color:#e86a33;
    
}

@media(max-width:500px){
    .screen{
        padding:1rem;
    }

    #start-screen h1{
        font-size:2rem;
    }

    #question-text{
        font-size:1.3rem;
    }

    .answer-btn{
        padding:12px;
    }
    button{
        padding:12px 25px;
        font-size:1rem;
    }
}